hu.akarnokd.rxjava2.functions

## Interface Consumer7<T1,T2,T3,T4,T5,T6,T7>

Type Parameters:
  `T1` -
  `T2` -
  `T3` -
  `T4` -
  `T5` -
  `T6` -
  `T7` -

    public interface Consumer7<T1,T2,T3,T4,T5,T6,T7>

Functional interface for a callback that consumes multipe values at the same and may throw a checked exception.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7)`

### Method Detail

#### accept

    void accept(T1 t1,
                T2 t2,
                T3 t3,
                T4 t4,
                T5 t5,
                T6 t6,
                T7 t7)
         throws java.lang.Exception

Throws:
  `java.lang.Exception`